###

###

###

###

###

###

###

    TMPNAM(3)           Linux Programmer's Manual           TMPNAM(3)

    NAME
           tmpnam - create a name for a temporary file

    SYNOPSIS
           #include <stdio.h>

           char *tmpnam(char *s);

    DESCRIPTION
           The  tmpnam()  function generates a unique temporary file-
           name using the path prefix P_tmpdir defined in  <stdio.h>.
           If the argument s is NULL, tmpnam() returns the address of
           an internal static area which holds the filename, which is
           overwritten  by subsequent calls to tmpnam().  If s is not
           NULL, the filename is returned in s.

    RETURN VALUE
           The tmpnam() function returns a pointer to the unique tem-
           porary filename, or NULL if a unique name cannot be gener-
           ated.

    ERRORS
           EEXIST Unable to generate a unique filename.

    CONFORMING TO
           SVID 3, POSIX, BSD 4.3, ISO 9899

### SEE ALSO

mktemp, mkstemp, tempnam, tmpfile,

###

    GNU                       April 3, 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0